Bug 581369 - laptop freeze at boot time - kernel warning - pulseaudio stop working
laptop freeze at boot time - kernel warning - pulseaudio stop working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-11 22:09 EDT by Carlos Chávez
Modified: 2010-12-03 11:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 11:02:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Carlos Chávez 2010-04-11 22:09:15 EDT
Apr 11 19:23:45 dev01 kernel: WARNING: at arch/x86/kernel/hpet.c:392 hpet_next_event+0x5c/0x81()
Apr 11 19:23:45 dev01 kernel: Hardware name: G60JX
Apr 11 19:23:45 dev01 kernel: Modules linked in:
Apr 11 19:23:45 dev01 kernel: Pid: 0, comm: swapper Not tainted 2.6.32.11-99.fc12.x86_64 #1
Apr 11 19:23:45 dev01 kernel: Call Trace:
Apr 11 19:23:45 dev01 kernel: [<ffffffff81056330>] warn_slowpath_common+0x7c/0x94
Apr 11 19:23:45 dev01 kernel: [<ffffffff8105635c>] warn_slowpath_null+0x14/0x16
Apr 11 19:23:45 dev01 kernel: [<ffffffff8102f006>] hpet_next_event+0x5c/0x81
Apr 11 19:23:45 dev01 kernel: usbcore: registered new interface driver hiddev
Apr 11 19:23:45 dev01 kernel: [<ffffffff8102f051>] hpet_legacy_next_event+0x10/0x12
Apr 11 19:23:45 dev01 kernel: [<ffffffff8107f3c9>] clockevents_program_event+0x7a/0x83
Apr 11 19:23:45 dev01 kernel: [<ffffffff81080515>] tick_dev_program_event+0x3c/0xaa
Apr 11 19:23:45 dev01 kernel: usbcore: registered new interface driver usbhid
Apr 11 19:23:45 dev01 kernel: usbhid: v2.6:USB HID core driver
Apr 11 19:23:45 dev01 kernel: [<ffffffff8107ff15>] tick_broadcast_oneshot_control+0xa4/0x100
Apr 11 19:23:45 dev01 kernel: [<ffffffff8107f83f>] tick_notify+0x222/0x379
Apr 11 19:23:45 dev01 kernel: [<ffffffff81080515>] ? tick_dev_program_event+0x3c/0xaa
Apr 11 19:23:45 dev01 kernel: [<ffffffff8145891a>] notifier_call_chain+0x37/0x63
Apr 11 19:23:45 dev01 kernel: [<ffffffff810786e4>] raw_notifier_call_chain+0x14/0x16
Apr 11 19:23:45 dev01 kernel: [<ffffffff8107f190>] clockevents_notify+0x3d/0x100
Apr 11 19:23:45 dev01 kernel: [<ffffffff81294bf1>] lapic_timer_state_broadcast+0x46/0x48
Apr 11 19:23:45 dev01 kernel: [<ffffffff81295331>] acpi_idle_enter_simple+0xa4/0x14b
Apr 11 19:23:45 dev01 kernel: [<ffffffff814588f7>] ? notifier_call_chain+0x14/0x63
Apr 11 19:23:45 dev01 kernel: [<ffffffff81389c36>] ? menu_select+0x143/0x1fc
Apr 11 19:23:45 dev01 kernel: nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
Apr 11 19:23:45 dev01 kernel: [<ffffffff81388e1a>] cpuidle_idle_call+0x99/0xf3
Apr 11 19:23:45 dev01 kernel: [<ffffffff81010cdd>] cpu_idle+0xaa/0xe4
Apr 11 19:23:45 dev01 kernel: [<ffffffff8144e0ed>] start_secondary+0x1f2/0x233


The warning occurs on boot time.

The warning is showing on this other kernels:
2.6.32.9-70.fc12.x86_64
2.6.32.10-90.fc12.x86_64

My Current Kernel is: 2.6.32.11-99.fc12.x86_64

I don't know the following is a because the kernel but Pulseaudio stop working.
even pulseaudio is installed i can't not see the properties on kde setting.
If pulseaudio is not installed it appears on kde setting and it tried to use.


Sometimes if freeze after I select the kernel on grub, the kernel start and it freeze showing the following error:

[drm] nouveau 0000:01:00.0: 0x7798: Condition still not met after 20ms, skipping following opcodes
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0x79A9
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0x8DFC
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0x8E3A
pcieport 0000:00:03.0: AER: Uncorrected (Non-Fatal) error received: id=0018
pcieport 0000:00:03.0: PCIE Bus Error: severity=Uncorrected (Non-Fatal), type=Transaction Layer, id=0018(Requester ID)
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0x9040
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0x90A5
pcieport 0000:00:03.0:   device [8086:d138] error status/mask=00004000/00000000
pcieport 0000:00:03.0:    [14] Completion Timeout     (First)
pcieport 0000:00:03.0: broadcast error_detected message 

In order to continue I need to shutdown manually the machine this process can happen several times in a roll.


Others software that stop working after the kernel update it is firefox.

But as i said, I'm not sure if this is has to do with it.

Let me know what else do you need and how i can get.
Comment 1 Andy Bentley 2010-04-13 07:37:03 EDT
Same issue here. kernel 2.6.32.11-99.fc12.x86_64


WARNING: at arch/x86/kernel/hpet.c:392 hpet_next_event+0x5c/0x81()
rtc_cmos 00:03: setting system clock to 2010-04-13 10:35:08 UTC (1271154908)
Hardware name: Precision M6500                 
Modules linked in:
Pid: 0, comm: swapper Not tainted 2.6.32.11-99.fc12.x86_64 #1
Call Trace:
[<ffffffff81056330>] warn_slowpath_common+0x7c/0x94
[<ffffffff8105635c>] warn_slowpath_null+0x14/0x16
[<ffffffff8102f006>] hpet_next_event+0x5c/0x81
[<ffffffff8102f051>] hpet_legacy_next_event+0x10/0x12
[<ffffffff8107f3c9>] clockevents_program_event+0x7a/0x83
[<ffffffff81080515>] tick_dev_program_event+0x3c/0xaa
[<ffffffff8107ff15>] tick_broadcast_oneshot_control+0xa4/0x100
[<ffffffff8107f83f>] tick_notify+0x222/0x379
[<ffffffff8145891a>] notifier_call_chain+0x37/0x63
Initalizing network drop monitor service
[<ffffffff810786e4>] raw_notifier_call_chain+0x14/0x16
[<ffffffff8107f190>] clockevents_notify+0x3d/0x100
[<ffffffff81294bf1>] lapic_timer_state_broadcast+0x46/0x48
[<ffffffff81295162>] acpi_idle_enter_bm+0x187/0x2b2
[<ffffffff814588f7>] ? notifier_call_chain+0x14/0x63
[<ffffffff81388e1a>] cpuidle_idle_call+0x99/0xf3
[<ffffffff81010cdd>] cpu_idle+0xaa/0xe4
[<ffffffff8144e0ed>] start_secondary+0x1f2/0x233
Comment 2 Eli Wapniarski 2010-05-04 15:58:22 EDT
I'm getting the same thing on my Qosmio x500

------------[ cut here ]------------
WARNING: at arch/x86/kernel/hpet.c:392 hpet_next_event+0x5c/0x81()
usbcore: registered new interface driver hiddev
Hardware name: Qosmio X500
Modules linked in:
Pid: 0, comm: swapper Not tainted 2.6.32.11-99.fc12.x86_64 #1
Call Trace:
[<ffffffff81056330>] warn_slowpath_common+0x7c/0x94
[<ffffffff8105635c>] warn_slowpath_null+0x14/0x16
usbcore: registered new interface driver usbhid
usbhid: v2.6:USB HID core driver
[<ffffffff8102f006>] hpet_next_event+0x5c/0x81
[<ffffffff8102f051>] hpet_legacy_next_event+0x10/0x12
[<ffffffff8107f3c9>] clockevents_program_event+0x7a/0x83
[<ffffffff81080515>] tick_dev_program_event+0x3c/0xaa
[<ffffffff8107ff15>] tick_broadcast_oneshot_control+0xa4/0x100
[<ffffffff8107f83f>] tick_notify+0x222/0x379
[<ffffffff8145891a>] notifier_call_chain+0x37/0x63
[<ffffffff810786e4>] raw_notifier_call_chain+0x14/0x16
nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[<ffffffff8107f190>] clockevents_notify+0x3d/0x100
[<ffffffff81294bf1>] lapic_timer_state_broadcast+0x46/0x48
[<ffffffff81295162>] acpi_idle_enter_bm+0x187/0x2b2
[<ffffffff814588f7>] ? notifier_call_chain+0x14/0x63
[<ffffffff81388e1a>] cpuidle_idle_call+0x99/0xf3
[<ffffffff81010cdd>] cpu_idle+0xaa/0xe4
[<ffffffff8144e0ed>] start_secondary+0x1f2/0x233
Comment 3 Per Nystrom 2010-05-04 23:36:52 EDT
Me too, HP EliteBook 8540W:

------------[ cut here ]------------
WARNING: at arch/x86/kernel/hpet.c:392 hpet_next_event+0x5c/0x81()
Hardware name: HP EliteBook 8540w
Modules linked in:
Pid: 0, comm: swapper Not tainted 2.6.32.11-99.fc12.x86_64 #1
Call Trace:
 [<ffffffff81056330>] warn_slowpath_common+0x7c/0x94
 [<ffffffff8105635c>] warn_slowpath_null+0x14/0x16
 [<ffffffff8102f006>] hpet_next_event+0x5c/0x81
 [<ffffffff8102f051>] hpet_legacy_next_event+0x10/0x12
 [<ffffffff8107f3c9>] clockevents_program_event+0x7a/0x83
 [<ffffffff81080515>] tick_dev_program_event+0x3c/0xaa
 [<ffffffff8107ff15>] tick_broadcast_oneshot_control+0xa4/0x100
 [<ffffffff8107f83f>] tick_notify+0x222/0x379
 [<ffffffff8145891a>] notifier_call_chain+0x37/0x63
 [<ffffffff810786e4>] raw_notifier_call_chain+0x14/0x16
 [<ffffffff8107f190>] clockevents_notify+0x3d/0x100
 [<ffffffff81294bf1>] lapic_timer_state_broadcast+0x46/0x48
 [<ffffffff81295162>] acpi_idle_enter_bm+0x187/0x2b2
 [<ffffffff81294fcd>] ? acpi_idle_enter_c1+0xb3/0xc1
 [<ffffffff814588f7>] ? notifier_call_chain+0x14/0x63
 [<ffffffff81388e1a>] cpuidle_idle_call+0x99/0xf3
 [<ffffffff81010cdd>] cpu_idle+0xaa/0xe4
 [<ffffffff8144e0ed>] start_secondary+0x1f2/0x233
---[ end trace 94c0d6bbb4501323 ]---
Comment 4 Eli Wapniarski 2010-05-24 13:18:12 EDT
I don't know if this due to a recent update or becuase I installed kmod-omnibook and akmod-omnbook from rpmfusion.

It turns out that with at least some Pheonix bioses that bluetooth and other functions need to be turned on from within the operating system. After installing the above mentioned packages I had to modify

/etc/modprobe.d/omnibook.conf

which looked something like:

alias acpi:TOS6205: omnibook

To:

alias acpi:TOS6205: omnibook
options omnibook userset=1 ectype=12

in order to get my bluetooth to work. And consquently, the crashing stopped, at least after a couple of reboots

I hope this was helpful.
Comment 5 Eli Wapniarski 2010-05-27 01:53:57 EDT
Hmmm... I had to go and upgrade to Fedora 13 didn't I :)

Anyway... Just wanted to let everyone know that the omnibook kmod and akmod does not seem to work with kernel version 2.6.33.4-95.fc13.x86_64.

The Fedora 13 akmod works well with previous Fedora 12 kernel 2.6.32.12-115.fc12.x86_64 but only after I erased the Fedora 12 kmods

After making sure that omnibook.conf is configured correctly and rebooting into the older kernel the akmods recompiled as advertised and bluetooth is working correctly.

Bug reports at rpmfusion and upstream at:


https://bugzilla.rpmfusion.org/show_bug.cgi?id=1236

and


https://sourceforge.net/tracker/?func=detail&aid=2995575&group_id=174260&atid=868542
Comment 6 Eli Wapniarski 2010-05-31 16:15:39 EDT
Seems to be working again with:

kernel-2.6.33.5-112.fc13.x86_64
kmod-omnibook-2.6.33.5-112.fc13.x86_64-2.20090714-0.4.svn288.fc13.7.x86_64
omnibook-2.20090714-0.5.svn288.fc13.noarch
akmod-omnibook-2.20090714-0.4.svn288.fc13.5.x86_64
kmod-omnibook-2.6.32.12-115.fc12.x86_64-2.20090714-0.4.svn288.fc13.5.x86_64
Comment 7 Eli Wapniarski 2010-06-01 01:31:07 EDT
I've reported the problem to tech support over at realtek via email.
Comment 8 Eli Wapniarski 2010-06-04 02:33:34 EDT
I received a new driver from Realtek.... Everything seems to be working fine now. The driver has yet to be posted on their website. So I asked them either post, provide an explanation, and / or allow me to post it.
Comment 9 Bug Zapper 2010-11-03 13:21:24 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Eli Wapniarski 2010-11-03 13:39:26 EDT
For me and this issue everything seems to have been resolved with the omnibook drivers from rpmfusion
Comment 11 Bug Zapper 2010-12-03 11:02:20 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.